extends Node2D

onready var controller = get_parent()
onready var notes = get_node("Notes")
onready var anim = get_node("AnimationPlayer")

var direction = 1

func _ready():
	pass

func clear():
	for note in notes.get_children():
		note.deactivate()
		note.set_frame(0)

func begin(speed):
	anim.set_speed(1/(speed*9))
	if (direction == 1):
		anim.play("Move")
	else:
		anim.play_backwards("Move")

func invert():
	if (direction == 1):
		controller.camera.play("Camera")
	else:
		controller.camera.play_backwards("Camera")
	direction *= -1
		

func reset():
	if (direction == 1):
		anim.play("Move")
		anim.seek(0,true)
	else:
		anim.play_backwards("Move")
		anim.seek(1,true)
	anim.stop()

func activate(player):
	var empty = true
	for note in notes.get_children():
		if (note.get_frame() != 0):
			empty = false
			note.activate()